/*****************************************
 * Case Study Slider
*****************************************/
.ifs-case-study-slider {
    --image-w:500px;
    max-width:var(--ifs-container); margin-left:auto; margin-right:auto;
}
.ifs-case-study-slider .vc_separator {display:none;}

/* heading */
.ifs-case-study-slider__content {max-width:750px; width:calc(100% - var(--image-w));}
.ifs-case-study-slider:has(.ifs-case-study-slider__image) .ifs-case-study-slider__content {min-height:calc(0.75 * var(--image-w))}
.ifs-case-study-slider__text {max-width:567px;}

/* image */
.ifs-case-study-slider__image {width:var(--image-w);}

/* no heading */
.ifs-case-study-slider.no-heading .ifs-case-study-slider__content-image {margin-bottom:0;}
.ifs-case-study-slider.no-heading .ifs-case-study-slider__image {position:relative; margin-left:auto}

/* animation */
.ifs-case-study-slider__image {opacity:0; transform:scale(0.8)}
.ifs-case-study-slider.show-animation .ifs-case-study-slider__image {animation:image-animation 1.5s ease forwards;}

@media only screen and (min-width:1181px) {
    .ifs-case-study-slider {
        --spacing-left:120px;
        --size-block:24px;
        --total-width:calc(var(--ifs-100vw) - 2 * var(--ifs-gap-container) - var(--spacing-left));

        padding:calc(var(--size-block) + var(--ifs-spacing-48)) 0 calc(var(--size-block) + var(--ifs-spacing-48)) var(--spacing-left);
    }
    /* slider */
    .ifs-case-study-slider .ifs-simple-cstudy-slider {
        --slider-w:calc((var(--total-width) - 2 * var(--slider-gap)) / 3) !important;
    }
    .ifs-case-study-slider .ifs-simple-cstudy-slider__wrapper {margin-left:0;}
    .ifs-case-study-slider .ifs-simple-cstudy-slider:not(.slider-loop) .ifs-case-study-item:first-child {
        width:var(--slider-w); padding-left:0;
    }

    /* decoration > block */
    .ifs-case-study-slider__decoration-block {height:24px;}
    .ifs-case-study-slider__decoration-block:before, .ifs-case-study-slider__decoration-block:after {
        content:""; display:block;
        width:var(--size-block); height:var(--size-block);
        border:1px solid var(--ifs-color-gray-1);
        position:absolute; top:0;
    }
    .ifs-case-study-slider__decoration-block:before {left:0;}
    .ifs-case-study-slider__decoration-block:after {right:0;}
    .ifs-case-study-slider__decoration-block.top:before {border-right:none; border-bottom:none; top:0; left:0}
    .ifs-case-study-slider__decoration-block.top:after {border-left:none; border-bottom:none; top:0; right:0}
    .ifs-case-study-slider__decoration-block.bottom:before {border-right:none; border-top:none;}
    .ifs-case-study-slider__decoration-block.bottom:after {border-left:none; border-top:none;}

    /* decoration > line */
    .ifs-case-study-slider__decoration-line {
        width:2px; height:calc(100% - 2 * var(--size-block) - 2 * var(--ifs-spacing-48) - 28px); background:rgba(0, 0, 0, .2);
        left:4px;
    }
    .ifs-case-study-slider__decoration-line:before, .ifs-case-study-slider__decoration-line:after {
        font-family:var(--ifs-font-icomoon), fantasy; content:"\e93b";
        font-size:10px; line-height:1; color:#525252;
        position:absolute; left:50%; transform:translateX(-50%);
    }
    .ifs-case-study-slider__decoration-line:before {top:-14px;}
    .ifs-case-study-slider__decoration-line:after {bottom:-14px}

    .txt_color_white .ifs-case-study-slider__decoration-line {background:var(--ifs-color-white);}
    .txt_color_white .ifs-case-study-slider__decoration-line:before,
    .txt_color_white .ifs-case-study-slider__decoration-line:after {color:var(--ifs-color-white);}
}
@media only screen and (min-width:1560px) {
    /* slider */
    .ifs-case-study-slider {
        --total-width:calc(var(--ifs-container) - var(--spacing-left));
    }
}


/*****************************************
 * Case Study Slider - Responsive
*****************************************/
@media only screen and (min-width:1800px) {
    .ifs-case-study-slider {
        --image-w:clamp(500px, 42.5vw, 600px);
    }

    .ifs-case-study-slider__content {max-width:50vw;}
    .ifs-case-study-slider__text {max-width:38vw;}
}
@media only screen and (max-width:1360px) {
    .ifs-case-study-slider {
        --spacing-left:60px;
    }
}
@media only screen and (max-width:1180px) {
    .ifs-case-study-slider {
        --slider-w:40vw;
        --image-w:40vw;
    }
}
@media only screen and (max-width:920px) {
    .ifs-case-study-slider {
        --slider-w:60vw;
        --slider-gap:var(--ifs-gap-container);
        --image-w:clamp(320px, 40vw, 400px);
    }

    .ifs-case-study-slider__content-image {display:flex; flex-direction:column-reverse; padding-bottom:32px;}
    .ifs-case-study-slider__content {
        --ifs-spacing-heading:16px;
        --ifs-spacing-paragraph:20px;
        max-width:100%; width:100%; min-height:unset !important;
    }
    .ifs-case-study-slider__content-image:has(.ifs-case-study-slider__text:empty) {margin-bottom:16px;}
    .ifs-case-study-slider__text {max-width:100%;}

    /* image */
    .ifs-case-study-slider__image {position:relative; margin:0 auto;}
}
@media only screen and (max-width:480px) {
    .ifs-case-study-slider {
        --slider-w:calc(var(--ifs-container) - var(--ifs-gap-side));
    }
    .ifs-case-study-slider__image {width:100%;}
}

/*****************************************
* Case Study Slider - With sticky nav
*****************************************/
@media only screen and (min-width:1181px) {
    .ifs-vc-row-has-sticky-nav {--spacing-left:120px;}
    .ifs-vc-row-has-sticky-nav .ifs-case-study-slider {padding-top:0; padding-bottom:0;}
    .ifs-vc-row-has-sticky-nav .ifs-case-study-slider__decoration-block,
    .ifs-vc-row-has-sticky-nav .ifs-case-study-slider__decoration-line {display:none;}
}

/* Responsive */
@media only screen and (max-width:1280px) and (min-width:1181px) {
    .ifs-vc-row-has-sticky-nav .ifs-case-study-slider {--image-w:40vw;}
}